RemoveUnusedPrimitives
Prev | 10.8. Topology Processing | Next

## Name

RemoveUnusedPrimitives — Removes topology primitives which not needed to define existing TopoGeometry objects.

## Synopsis

`int RemoveUnusedPrimitives(`text topology_name, geometry bbox`)`;

## Description

Finds all primitives (nodes, edges, faces) that are not strictly needed to represent existing TopoGeometry objects and removes them, maintaining topology validity (edge linking, face labeling) and TopoGeometry space occupation.

No new primitive identifiers are created, but rather existing primitives are expanded to include merged faces (upon removing edges) or healed edges (upon removing nodes).

Availability: 3.3.0

## See Also

ST_ModEdgeHeal, ST_RemEdgeModFace

Prev | Up | Next
ST_Simplify | Home | CreateTopoGeom